program fjf915s;

type
  t = record
      case n: Integer of
        2, 17, 4, 10, 12, MaxInt: ()
      end;
  v = 1 .. 12;

var
  a: ^t;
  w: 1 .. 10;

const
  c = 17;

begin
  New (a, Cardinal (2));
  Dispose (a, Cardinal (2));
  New (a, c);
  Dispose (a, c);
  New (a, MaxInt);
  Dispose (a, MaxInt);
  New (a, Sqr (2));
  Dispose (a, Sqr (2));
  New (a, High (v));
  Dispose (a, High (v));
  New (a, High (w));
  Dispose (a, High (w));
  New (a, SizeOf (a));
  Dispose (a, SizeOf (a));
  New (a, SizeOf (v));
  Dispose (a, SizeOf (v));
  WriteLn ('OK')
end.
